=== debian/changelog ===
obs-studio (30.0.0-0.1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux:
  * Drop -dmo branding and the version epoch.
  * Disable AMF and ajantv2. 

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Dec 2023 11:53:59 -0800

obs-studio-dmo (1:30.0.0-dmo2) unstable; urgency=medium

  * Fix build for arches without AMF

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Nov 2023 09:31:15 +0100

obs-studio-dmo (1:30.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Nov 2023 00:51:54 +0100

obs-studio-dmo (1:29.1.3-dmo2) unstable; urgency=medium

  * Add patch from nowrep to make AMF encoder work on Linux.
    Note: requires AMD proprietary Vulkan driver.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Aug 2023 16:02:45 +0200

obs-studio-dmo (1:29.1.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update websocket module to git 6fd18a7
  * Build with Qt6

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jun 2023 07:32:17 +0200

obs-studio-dmo (1:29.1.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 29 May 2023 01:31:51 +0200

obs-studio-dmo (1:29.1.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update websocket to commit 57a9c19

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 09 May 2023 08:32:27 +0200

obs-studio-dmo (1:29.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 03 May 2023 07:32:53 +0200

obs-studio-dmo (1:29.0.2-dmo2) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 13:21:33 +0100

obs-studio-dmo (1:29.0.2-dmo1) unstable; urgency=medium

  * New upstream nugfix release.
  * Rename obs-amf tarball to obs-amd-encoder

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Feb 2023 13:14:08 +0100

obs-studio-dmo (1:29.0.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Update amf plugin to 3b09f2a

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 03 Feb 2023 08:11:00 +0100

obs-studio-dmo (1:29.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 08 Jan 2023 01:25:21 +0100

obs-studio-dmo (1:28.1.2-dmo2) unstable; urgency=medium

  * Build with python 3.11

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jan 2023 08:33:51 +0100

obs-studio-dmo (1:28.1.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 06 Nov 2022 00:01:20 +0100

obs-studio-dmo (1:28.1.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Nov 2022 07:51:00 +0100

obs-studio-dmo (1:28.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Nov 2022 09:05:52 +0100

obs-studio-dmo (1:28.0.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.
  * Update obs-websocket to git commit b6e0888

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 02 Oct 2022 08:21:29 +0200

obs-studio-dmo (1:28.0.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Sep 2022 23:20:22 +0200

obs-studio-dmo (1:28.0.1-dmo2) unstable; urgency=medium

  * Add Replaces/Breaks obs-websocket for obs-studio package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 22 Sep 2022 11:19:35 +0200

obs-studio-dmo (1:28.0.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 03 Sep 2022 08:47:42 +0200

obs-studio-dmo (1:28.0.0-dmo2) unstable; urgency=medium

  * Add enc-amf and obs-websocket plugins. aja plugins was built in the
    previous package.
      - aja : I/O device capture and output for AJA hardware.
      - enc-amf : AMD GPU encoder.
      - obs-websocket : computer communications protocol.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 02 Sep 2022 15:01:04 +0200

obs-studio-dmo (1:28.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 01 Sep 2022 07:28:16 +0200

obs-studio-dmo (1:27.2.4-dmo3) unstable; urgency=medium

  * Enable lua for powerpc
  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 15:20:03 +0200

obs-studio-dmo (1:27.2.4-dmo2) unstable; urgency=medium

  * Build with libluajit2-5.1-2

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 07 Jun 2022 14:18:01 +0200

obs-studio-dmo (1:27.2.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Mar 2022 10:56:54 +0200

obs-studio-dmo (1:27.2.3-dmo2) unstable; urgency=medium

  * Build with python 3.10
  * Build with libftl0 instead of included ftl sdk.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Mar 2022 10:49:37 +0200

obs-studio-dmo (1:27.2.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Mar 2022 18:06:30 +0100

obs-studio-dmo (1:27.2.2-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Mar 2022 00:54:11 +0100

obs-studio-dmo (1:27.2.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 21 Feb 2022 08:36:45 +0100

obs-studio-dmo (1:27.2.0-dmo2) unstable; urgency=medium

  * Build with mbedtls 2.28

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 17 Feb 2022 08:18:25 +0100

obs-studio-dmo (1:27.2.0-dmo1) unstable; urgency=medium


