=== debian/control ===
Source: obs-studio
Section: video
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://obsproject.com
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-python3,
#               libajantv2-dev [amd64],
               libasio-dev,
               libasound2-dev,
               libavdevice-dev,
               libavfilter-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libdatachannel-dev,
               libdbus-1-dev,
               libdrm-dev,
               libegl-dev,
               libfdk-aac-dev,
               libfontconfig-dev,
               libfreetype-dev,
               libftl-dev,
               libice-dev,
               libjack-jackd2-dev,
               libjansson-dev (>= 2.5),
               libluajit2-5.1-dev,
               libmbedtls-dev,
               libopengl-dev,
               libpci-dev,
               libpipewire-0.3-dev,
               libpulse-dev,
               libqrcodegencpp-dev,
               librist-dev,
               libsimde-dev,
               libspeexdsp-dev,
               libsrt-openssl-dev,
               libudev-dev [linux-any],
               libv4l-dev,
               libva-dev,
               libvlc-dev,
               libvlccore-dev,
               libvpl-dev [amd64],
               libwayland-dev,
               libwebsocketpp-dev,
               libx11-dev,
               libx11-xcb-dev,
               libx264-dev,
               libxcb-composite0-dev,
               libxcb-dri2-0-dev,
               libxcb-glx0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-sync-dev,
               libxcb-xinerama0-dev,
               libxcb-xinput-dev,
               libxcb-xv0-dev,
               libxcomposite-dev,
               libxinerama-dev,
               libxkbcommon-dev,
               ninja-build,
               nlohmann-json3-dev,
               nv-codec-headers [amd64 arm64 i386] | libffmpeg-nvenc-dev,
               pkgconf,
               python3-dev,
               python3-docutils (>= 0.6),
               qt6-base-dev,
               qt6-base-private-dev, 
               qt6-svg-dev,
               swig

# liblua5.2-dev,

Package: obs-studio
Architecture: any
Depends: libqt6svg6,
         obs-plugins (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: libnvidia-encode1, pkexec
Replaces: obs-plugins (<= 1:26.0.0-dmo1), obs-websocket
Breaks: obs-plugins (<= 1:26.0.0-dmo1), obs-websocket
Description: recorder and streamer for live video content
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 Other features include:
  * Encoding using H264 (x264) and AAC
  * Unlimited number of scenes and sources
  * File output to MP4 or FLV
  * GPU-based game capture for high performance game streaming
  * Bilinear or lanczos3 resampling
 .
 Note that OBS Studio requires an OpenGL 3.2 compatible video card.

Package: obs-plugins
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Replaces: obs-studio
Recommends: vlc
Description: recorder and streamer for live video content (plugins)
 OBS is designed for efficiently recording and streaming live video content. It
 supports live RTP streaming to various streaming sites.
 .
 This package contains the plugins.

Package: libobs0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: recorder and streamer for live video content (shared library)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the shared library libobs.

Package: libobs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libobs0 (= ${binary:Version}), libsimde-dev, ${misc:Depends}
Description: recorder and streamer for live video content (development files)
 OBS Studio is designed for efficiently recording and streaming live video
 content. It supports live RTP streaming to various streaming sites.
 .
 This package contains the development files.
